{% trans_default_domain 'messages' %}

<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

    {% block metadata %}
        <meta name="description" content="">
        <meta name="author" content="">
    {% endblock %}

    <title>{% block title %}TWIM{% endblock %}</title>

    <link rel="stylesheet" href="{{ asset('build/css/app.css') }}">
    {% block stylesheets %}{% endblock %}

    <link rel="icon" type="image/x-icon" href="{{ asset('favicon.ico') }}" />
</head>

<body id="{% block body_id %}{% endblock %}">

    <header>
        {% block navigation %}{{ include('Default/_navigation.html.twig') }}{% endblock %}
    </header>

    <main role="main" class="container">

        <input type="hidden" id="hdn-translation-utils" data-edit="{{ 'edit.label'|trans({}, 'frontends') }}"
               data-delete="{{ 'delete.label'|trans({}, 'frontends') }}"
               data-create-address-title="{{ 'create.address.title'|trans({}, 'frontends') }}"
               data-create-address-subtitle="{{ 'create.address.text'|trans({}, 'frontends') }}"
               data-edit-address-title="{{ 'edit.address.title'|trans({}, 'frontends') }}"
               data-edit-address-subtitle="{{ 'edit.address.text'|trans({}, 'frontends') }}"
               data-edit-remove-label="{{ 'edit.or.remove.label'|trans({}, 'frontends') }}"
        >
        
        <div class="row">
            <div class="col-2"></div>
            <div class="col-8">
                {% block alert_messages %}{{ include('Default/_flash_messages.html.twig') }}{% endblock %}
                {% block body %}{% endblock %}
            </div>
            <div class="col-2"></div>
        </div>


    </main>

    {#{% block footer %}{{ include('Default/_footer.html.twig') }}{% endblock %}#}

    <script src="{{ asset('build/manifest.js') }}"></script>
    <script src="{{ asset('build/js/common.js') }}"></script>
    <script src="{{ asset('build/js/app.js') }}"></script>

    {% if app.user %}{% else %}
        <script src='https://www.google.com/recaptcha/api.js'></script>
        <script src="{{ asset('build/js/signup_login.js') }}"></script>
    {% endif %}

    {% block javascripts %}{% endblock %}

</body>
</html>